Updating Org

Signed-off-by: John Dorman <john@boostchicken.dev>
This commit is contained in:
John Dorman 2022-06-24 08:16:09 -07:00
parent bbaf3a3919
commit 4d25211b76
23 changed files with 42 additions and 42 deletions

View File

@ -7,7 +7,7 @@
## Requirements
1. You have setup the on boot script described [here](https://github.com/unifi-utilities/udm-utilities/tree/main/on-boot-script)
1. You have setup the on boot script described [here](https://github.com/unifi-utilities/unifios-utilities/tree/main/on-boot-script)
1. AdguardHome persists through firmware updates as it will store the configuration in a folder (you need to create this). It needs 2 folders, a Work and Configuration folder. Please create the 2 folders in "/mnt/data/". In my example I created "AdguardHome-Confdir" and "AdguardHome-Workdir"
## Customization

View File

@ -1,7 +1,7 @@
# udm-utilities [![Discord](https://img.shields.io:/discord/939817841107034172?label=Discord&logo=Discord&style=for-the-badge "Discord")](https://discord.gg/8zqrQJFghg)
# unifi-utilities [![Discord](https://img.shields.io:/discord/939817841107034172?label=Discord&logo=Discord&style=for-the-badge "Discord")](https://discord.gg/8zqrQJFghg)
[![UDM-Pro Podman](https://github.com/unifi-utilities/udm-utilities/actions/workflows/podman-udmp.yml/badge.svg)](https://github.com/unifi-utilities/udm-utilities/actions/workflows/podman-udmp.yml)
[![UDM-SE Podman](https://github.com/unifi-utilities/udm-utilities/actions/workflows/podman-udmse.yml/badge.svg?branch=master)](https://github.com/unifi-utilities/udm-utilities/actions/workflows/podman-udmse.yml)
[![UDM-Pro Podman](https://github.com/unifi-utilities/unifios-utilities/actions/workflows/podman-udmp.yml/badge.svg)](https://github.com/unifi-utilities/unifios-utilities/actions/workflows/podman-udmp.yml)
[![UDM-SE Podman](https://github.com/unifi-utilities/unifios-utilities/actions/workflows/podman-udmse.yml/badge.svg?branch=main)](https://github.com/unifi-utilities/unifios-utilities/actions/workflows/podman-udmse.yml)
A collection of things to enhance the capabilities of your Unifi Dream Machine, Dream Machine Pro or [UXG-Pro](https://gist.github.com/trilom/40fab563db416a69c63c127688ce7924).
@ -19,7 +19,7 @@ Please see the repo and please use at your own risk. This a much larger change t
## Custom Podman Builds for UDM-SE
<https://github.com/unifi-utilities/udm-utilities/actions>
<https://github.com/unifi-utilities/unifios-utilities/actions>
Extract the zip to the root of your device!
Look at the assets on the Podman workflow.
@ -30,7 +30,7 @@ Look at the assets on the Podman workflow.
Do this first. Enables `init.d` style scripts to run on every boot of your UDM.
Includes examples to run `wpa-supplicant/eap-proxy` and/or `ntop-ng` on startup.
Follow this [readme](https://github.com/unifi-utilities/udm-utilities/blob/main/on-boot-script/README.md).
Follow this [readme](https://github.com/unifi-utilities/unifios-utilities/blob/main/on-boot-script/README.md).
**It enables complete customization of your UDM/P and fills the gap that config.gateway.json left behind.**
@ -86,7 +86,7 @@ It supports OpenVPN, WireGuard, and OpenConnect (Cisco AnyConnect) clients runni
## DNS Providers
Install a DNS server that functions as a network-wide ad and tracker blocker, and which can also securely proxy encrypted DNS requests to an upstream DNS provider.
Begin by following the instructions to setup [on-boot-script](https://github.com/unifi-utilities/udm-utilities/tree/main/on-boot-script) and [dns-common](https://github.com/unifi-utilities/udm-utilities/tree/main/dns-common/on_boot.d).
Begin by following the instructions to setup [on-boot-script](https://github.com/unifi-utilities/unifios-utilities/tree/main/on-boot-script) and [dns-common](https://github.com/unifi-utilities/unifios-utilities/tree/main/dns-common/on_boot.d).
Then, follow the guides below to setup either Pi-Hole, NextDNS, or AdGuard Home.
### dns-common

View File

@ -11,7 +11,7 @@ Complete feature list and documentation can be found [here](https://github.com/t
## Requirements
1. You have successfully setup the on boot script described [here](https://github.com/unifi-utilities/udm-utilities/tree/main/on-boot-script)
1. You have successfully setup the on boot script described [here](https://github.com/unifi-utilities/unifios-utilities/tree/main/on-boot-script)
2. You must have a cloudflare profile with at least one domain.
3. You must have a valid cloudflare api token with correct permissions (see [complete documentation](https://github.com/timothymiller/cloudflare-ddns) for details)

View File

@ -6,7 +6,7 @@
## Requirements
1. You have already setup the on boot script described [here](https://github.com/unifi-utilities/udm-utilities/tree/main/on-boot-script)
1. You have already setup the on boot script described [here](https://github.com/unifi-utilities/unifios-utilities/tree/main/on-boot-script)
## Customization
@ -17,7 +17,7 @@ While a 100Mb log limit per container should give plenty of log data for all fea
1. Run as root on UDM Pro to download and set permissions of on_boot.d script:
```sh
# Download 05-container-common.sh from GitHub
curl -L https://raw.githubusercontent.com/unifi-utilities/udm-utilities/main/container-common/on_boot.d/05-container-common.sh -o /mnt/data/on_boot.d/05-container-common.sh;
curl -L https://raw.githubusercontent.com/unifi-utilities/unifios-utilities/main/container-common/on_boot.d/05-container-common.sh -o /mnt/data/on_boot.d/05-container-common.sh;
# Set execute permission
chmod a+x /mnt/data/on_boot.d/05-container-common.sh;
```

View File

@ -33,7 +33,7 @@ CONTAINER=pihole
if ! test -f /opt/cni/bin/macvlan; then
echo "Error: CNI plugins not found. You can install it with the following command:" >&2
echo " curl -fsSLo /mnt/data/on_boot.d/05-install-cni-plugins.sh https://raw.githubusercontent.com/unifi-utilities/udm-utilities/main/cni-plugins/05-install-cni-plugins.sh && /bin/sh /mnt/data/on_boot.d/05-install-cni-plugins.sh" >&2
echo " curl -fsSLo /mnt/data/on_boot.d/05-install-cni-plugins.sh https://raw.githubusercontent.com/unifi-utilities/unifios-utilities/main/cni-plugins/05-install-cni-plugins.sh && /bin/sh /mnt/data/on_boot.d/05-install-cni-plugins.sh" >&2
exit 1
fi

View File

@ -7,7 +7,7 @@
## Requirements
1. You have successfully setup the on boot script described [here](https://github.com/unifi-utilities/udm-utilities/tree/main/on-boot-script)
1. You have successfully setup the on boot script described [here](https://github.com/unifi-utilities/unifios-utilities/tree/main/on-boot-script)
2. You have to have services you want to load-balance, an example would be a multi-master k3s cluster.
## Steps

View File

@ -6,15 +6,15 @@
3. Persists through reboots and firmware updates.
### Requirements
1. You have successfully setup the on boot script described [here](https://github.com/unifi-utilities/udm-utilities/tree/main/on-boot-script).
2. You have applied [container-common](https://github.com/unifi-utilities/udm-utilities/tree/main/container-common) change to prevent UDM storage to fill up with Homebridge logs and addon error messages that can move fast.
3. You have applied [cni-plugins](https://github.com/unifi-utilities/udm-utilities/tree/main/cni-plugins "cni-plugins") to setup for cni configeration. (You dont need the configeration files, just place the script in the on boot folder.)
1. You have successfully setup the on boot script described [here](https://github.com/unifi-utilities/unifios-utilities/tree/main/on-boot-script).
2. You have applied [container-common](https://github.com/unifi-utilities/unifios-utilities/tree/main/container-common) change to prevent UDM storage to fill up with Homebridge logs and addon error messages that can move fast.
3. You have applied [cni-plugins](https://github.com/unifi-utilities/unifios-utilities/tree/main/cni-plugins "cni-plugins") to setup for cni configeration. (You dont need the configeration files, just place the script in the on boot folder.)
### Steps
1. Type this command: `mkdir -p /mnt/data/homebridge/run`
2. Copy [25-homebridge.sh](on_boot.d/25-homebridge.sh) to `/mnt/data/on_boot.d`. To do this, cd into `/mnt/data/on_boot.d`, then type `vim 25-homebridge.sh` then go to [this page](https://raw.githubusercontent.com/unifi-utilities/udm-utilities/main/homebridge/on_boot.d/25-homebridge.sh "this page") and copy everything using CTRL + A and then CTRL + C and then paste it into vim then click ESC and then type `:x` then click the enter key.
3. Copy [90-homebridge.conflist](cni/90-homebridge.conflist) to `/mnt/data/podman/cni`. This will create the podman network that bridges the container to your VLAN. To do this, cd into `/mnt/data/podman/cni` and type `vim 90-homebridge.conflist` then go to [this page](https://raw.githubusercontent.com/unifi-utilities/udm-utilities/main/homebridge/cni/90-homebridge.conflist "this page") and the press CTRL + A and then CTRL + C and then paste it into vim and click ESC and then type `:x` then click the enter key.
2. Copy [25-homebridge.sh](on_boot.d/25-homebridge.sh) to `/mnt/data/on_boot.d`. To do this, cd into `/mnt/data/on_boot.d`, then type `vim 25-homebridge.sh` then go to [this page](https://raw.githubusercontent.com/unifi-utilities/unifios-utilities/main/homebridge/on_boot.d/25-homebridge.sh "this page") and copy everything using CTRL + A and then CTRL + C and then paste it into vim then click ESC and then type `:x` then click the enter key.
3. Copy [90-homebridge.conflist](cni/90-homebridge.conflist) to `/mnt/data/podman/cni`. This will create the podman network that bridges the container to your VLAN. To do this, cd into `/mnt/data/podman/cni` and type `vim 90-homebridge.conflist` then go to [this page](https://raw.githubusercontent.com/unifi-utilities/unifios-utilities/main/homebridge/cni/90-homebridge.conflist "this page") and the press CTRL + A and then CTRL + C and then paste it into vim and click ESC and then type `:x` then click the enter key.
4. Run the Homebridge docker container. Change the timezone (`-e TZ`) to match your timezone, and DNS (`--dns`) to match your VLAN gateway.
```shell script

View File

@ -8,7 +8,7 @@ This mod adds logging prefixes to messages from `/var/log/messages` allowing you
## Requirements
1. You have successfully setup the on boot script described [here](https://github.com/unifi-utilities/udm-utilities/tree/main/on-boot-script)
1. You have successfully setup the on boot script described [here](https://github.com/unifi-utilities/unifios-utilities/tree/main/on-boot-script)
## General idea

View File

@ -4,7 +4,7 @@
## Prerequisities
- Working **`on_boot.d`** setup (check [boostchicken/udm-utilities#on-boot-script](https://github.com/unifi-utilities/udm-utilities/tree/main/on-boot-script) for instructions)
- Working **`on_boot.d`** setup (check [unifi-utilities/unifios-utilities#on-boot-script](https://github.com/unifi-utilities/unifios-utilities/tree/main/on-boot-script) for instructions)
- A VLAN network (you can use one you're already using)
#### Optional:
@ -74,6 +74,6 @@ If you want to know what Mosquitto is doing, run `$ podman logs -f mosquitto` to
## Credits
Huge thanks to @boostchicken and his incredible work on [udm-utilities](https://github.com/boostchicken/udm-utilities)!
Huge thanks to @boostchicken and his incredible work on [unifios-utilities](https://github.com/unifi-utilities/unifios-utilities)!
Guide based upon the incredible contributors of [boostchicken/udm-utilities](https://github.com/boostchicken/udm-utilities)!
Guide based upon the incredible contributors of [boostchicken/unifios-utilities](https://github.com/unifi-utilities/unifios-utilities)!

View File

@ -10,7 +10,7 @@ CONTAINER_CNI_PATH="/mnt/data/podman/cni/45-mosquitto.conflist"
# make sure cni plugs are installed
if ! test -f /opt/cni/bin/macvlan; then
echo "Error: CNI plugins not found. You can install it with the following command:" >&2
echo " curl -fsSLo /mnt/data/on_boot.d/05-install-cni-plugins.sh https://raw.githubusercontent.com/unifi-utilities/udm-utilities/main/cni-plugins/05-install-cni-plugins.sh && /bin/sh /mnt/data/on_boot.d/05-install-cni-plugins.sh" >&2
echo " curl -fsSLo /mnt/data/on_boot.d/05-install-cni-plugins.sh https://raw.githubusercontent.com/unifi-utilities/unifios-utilities/main/cni-plugins/05-install-cni-plugins.sh && /bin/sh /mnt/data/on_boot.d/05-install-cni-plugins.sh" >&2
exit 1
fi

View File

@ -9,7 +9,7 @@
## Requirements
1. You have already setup the on boot script described [here](https://github.com/unifi-utilities/udm-utilities/tree/main/on-boot-script)
1. You have already setup the on boot script described [here](https://github.com/unifi-utilities/unifios-utilities/tree/main/on-boot-script)
## Customization

View File

@ -33,7 +33,7 @@
You can execute in UDM/Pro/SE and UDR with:
```bash
curl -fsL "https://raw.githubusercontent.com/unifi-utilities/udm-utilities/HEAD/on-boot-script/remote_install.sh" | /bin/sh
curl -fsL "https://raw.githubusercontent.com/unifi-utilities/unifios-utilities/HEAD/on-boot-script/remote_install.sh" | /bin/sh
```
This is a force to install script so will uninstall any previous version and install on_boot keeping your on boot files.

View File

@ -4,7 +4,7 @@ Priority: optional
Maintainer: Boostchicken <dorman@ataxia.cloud>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.4.1
Homepage: https://github.com/unifi-utilities/udm-utilities
Homepage: https://github.com/unifi-utilities/unifios-utilities
#Vcs-Browser: https://salsa.debian.org/debian/udmboot
#Vcs-Git: https://salsa.debian.org/debian/udmboot.git

View File

@ -1,9 +1,9 @@
Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: udm-boot
Upstream-Contact: John Dorman / Boostchicken
Source: https://github.com/unifi-utilities/udm-utilities
Source: https://github.com/unifi-utilities/unifi-utilities
Files: *
Copyright: 2020 dorman@ataxia.cloud
License: GPL-3
https://github.com/unifi-utilities/udm-utilities/blob/main/LICENSE
https://github.com/unifi-utilities/unifi-utilities/blob/main/LICENSE

View File

@ -1,7 +1,7 @@
#!/bin/sh
# Download and install the service
podman exec unifi-os curl -fsSLo /lib/systemd/system/udm-boot.service https://raw.githubusercontent.com/unifi-utilities/udm-utilities/main/on-boot-script/dpkg-build-files/udm-boot.service
podman exec unifi-os curl -fsSLo /lib/systemd/system/udm-boot.service https://raw.githubusercontent.com/unifi-utilities/unifios-utilities/main/on-boot-script/dpkg-build-files/udm-boot.service
# If you want to manually install this offline,
# Have that file downloaded first, scp it to udm (e.g. /tmp/udm-boot.service)

View File

@ -4,14 +4,14 @@
SYSTEMCTL_PATH="/etc/systemd/system/udm-boot.service"
SYMLINK_SYSTEMCTL="/etc/systemd/system/multi-user.target.wants/udm-boot.service"
CNI_PLUGINS_SCRIPT_RAW_URL="https://raw.githubusercontent.com/unifi-utilities/udm-utilities/HEAD/cni-plugins/05-install-cni-plugins.sh"
CNI_PLUGINS_SCRIPT_RAW_URL="https://raw.githubusercontent.com/unifi-utilities/unifios-utilities/HEAD/cni-plugins/05-install-cni-plugins.sh"
CNI_PLUGINS_ON_BOOT_FILENAME="$(basename "$CNI_PLUGINS_SCRIPT_RAW_URL")"
CNI_BRIDGE_SCRIPT_RAW_URL="https://raw.githubusercontent.com/unifi-utilities/udm-utilities/main/on-boot-script/examples/udm-networking/on_boot.d/06-cni-bridge.sh"
CNI_BRIDGE_SCRIPT_RAW_URL="https://raw.githubusercontent.com/unifi-utilities/unifios-utilities/main/on-boot-script/examples/udm-networking/on_boot.d/06-cni-bridge.sh"
CNI_BRIDGE_ON_BOOT_FILENAME="$(basename "$CNI_BRIDGE_SCRIPT_RAW_URL")"
GITHUB_API_URL="https://api.github.com/repos"
GITHUB_REPOSITORY="unifi-utilities/udm-utilities"
GITHUB_REPOSITORY="unifi-utilities/unifios-utilities"
# --- Functions ---
@ -118,7 +118,7 @@ install_on_boot_udm_series() {
unset download_url tmp_path
}
# Credits @peacey: https://github.com/unifi-utilities/udm-utilities/issues/214#issuecomment-886869295
# Credits @peacey: https://github.com/unifi-utilities/unifios-utilities/issues/214#issuecomment-886869295
udmse_on_boot_systemd() {
cat << EOF
[Unit]

View File

@ -11,7 +11,7 @@ CONMON_DL=/mnt/data/.cache/conmon-$CONMON_VERSION
SECCOMP=/usr/share/containers/seccomp.json
while [ ! -f $CONMON_DL ]; do
curl -fsSLo $CONMON_DL https://github.com/unifi-utilities/udm-utilities/blob/main/podman-update/bin/conmon-$CONMON_VERSION?raw=true
curl -fsSLo $CONMON_DL https://github.com/unifi-utilities/unifios-utilities/blob/main/podman-update/bin/conmon-$CONMON_VERSION?raw=true
sleep 1
done
chmod +x $CONMON_DL
@ -21,7 +21,7 @@ fi
ln -s $CONMON_DL /usr/libexec/podman/conmon
if [ ! -f $PODMAN_DL ]; then
curl -fsSLo $PODMAN_DL https://github.com/unifi-utilities/udm-utilities/blob/main/podman-update/bin/podman-$PODMAN_VERSION?raw=true
curl -fsSLo $PODMAN_DL https://github.com/unifi-utilities/unifios-utilities/blob/main/podman-update/bin/podman-$PODMAN_VERSION?raw=true
fi
chmod +x $PODMAN_DL
if [ ! -f /usr/bin/podman.old ]; then
@ -30,7 +30,7 @@ fi
ln -s $PODMAN_DL /usr/bin/podman
if [ ! -f $RUNC_DL ]; then
curl -fsSLo $RUNC_DL https://github.com/unifi-utilities/udm-utilities/blob/main/podman-update/bin/runc-$RUNC_VERSION?raw=true
curl -fsSLo $RUNC_DL https://github.com/unifi-utilities/unifios-utilities/blob/main/podman-update/bin/runc-$RUNC_VERSION?raw=true
fi
chmod +x $RUNC_DL
if [ ! -f /usr/bin/runc.old ]; then
@ -40,7 +40,7 @@ ln -s $RUNC_DL /usr/bin/runc
if [ ! -f $SECCOMP ]; then
mkdir -p /usr/share/containers/
curl -fsSLo $SECCOMP https://github.com/unifi-utilities/udm-utilities/blob/main/podman-update/bin/seccomp.json?raw=true
curl -fsSLo $SECCOMP https://github.com/unifi-utilities/unifios-utilities/blob/main/podman-update/bin/seccomp.json?raw=true
fi
sed -i 's/driver = ""/driver = "overlay"/' /etc/containers/storage.conf
sed -i 's/ostree_repo = ""/#ostree_repo = ""/' /etc/containers/storage.conf

View File

@ -19,7 +19,7 @@ minecraft_1 | [init] Starting the Minecraft server...
```
## Requirements
1. You have successfully set up the on boot script described [here](https://github.com/unifi-utilities/udm-utilities/tree/main/on-boot-script)
1. You have successfully set up the on boot script described [here](https://github.com/unifi-utilities/unifios-utilities/tree/main/on-boot-script)
1. [05-install-cni-plugins.sh](../cni-plugins/05-install-cni-plugins.sh) installed
## Customization

View File

@ -6,7 +6,7 @@
## Requirements
1. You have successfully setup the on boot script described [here](https://github.com/unifi-utilities/udm-utilities/tree/main/on-boot-script)
1. You have successfully setup the on boot script described [here](https://github.com/unifi-utilities/unifios-utilities/tree/main/on-boot-script)
## Steps

View File

@ -7,7 +7,7 @@
## Requirements
1. You have successfully setup the on boot script described [here](https://github.com/unifi-utilities/udm-utilities/tree/main/on-boot-script)
1. You have successfully setup the on boot script described [here](https://github.com/unifi-utilities/unifios-utilities/tree/main/on-boot-script)
## Customizations

View File

@ -7,7 +7,7 @@
## Requirements
1. You have successfully setup the on boot script described [here](https://github.com/unifi-utilities/udm-utilities/tree/main/on-boot-script)
1. You have successfully setup the on boot script described [here](https://github.com/unifi-utilities/unifios-utilities/tree/main/on-boot-script)
## Customization

View File

@ -32,7 +32,7 @@ CONTAINER=unbound
if ! test -f /opt/cni/bin/macvlan; then
echo "Error: CNI plugins not found. You can install it with the following command:" >&2
echo " curl -fsSLo /mnt/data/on_boot.d/05-install-cni-plugins.sh https://raw.githubusercontent.com/unifi-utilities/udm-utilities/main/cni-plugins/05-install-cni-plugins.sh && /bin/sh /mnt/data/on_boot.d/05-install-cni-plugins.sh" >&2
echo " curl -fsSLo /mnt/data/on_boot.d/05-install-cni-plugins.sh https://raw.githubusercontent.com/unifi-utilities/unifios-utilities/main/cni-plugins/05-install-cni-plugins.sh && /bin/sh /mnt/data/on_boot.d/05-install-cni-plugins.sh" >&2
exit 1
fi

View File

@ -8,7 +8,7 @@
## Requirements
1. You have successfully setup the on boot script described [here](https://github.com/unifi-utilities/udm-utilities/tree/main/on-boot-script)
1. You have successfully setup the on boot script described [here](https://github.com/unifi-utilities/unifios-utilities/tree/main/on-boot-script)
1. Not recommended for Wireguard newbies. Set it up on other devices first. This document does not include iptables / nat rules
## Customization